Bug 660239 - clock drift when migrating a guest between mis-matched CPU clock speed
Summary: clock drift when migrating a guest between mis-matched CPU clock speed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 655990
Blocks: 556823 Rhel5KvmTier2
TreeView+ depends on / blocked
 
Reported: 2010-12-06 08:22 UTC by RHEL Product and Program Management
Modified: 2018-12-03 17:14 UTC (History)
16 users (show)

Fixed In Version: kvm-83-164.el5_5.28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 17:37:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0998 normal SHIPPED_LIVE Low: kvm security and bug fix update 2010-12-20 17:36:54 UTC

Description RHEL Product and Program Management 2010-12-06 08:22:15 UTC
This bug has been copied from bug #655990 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 9 Xiaoli Tian 2010-12-14 02:31:43 UTC
It has been verified on AMD host with kernel-2.6.18-194.26.1.el5 with kvm-83-164.el5_5.29

the result is as following:
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.878373, delay 0.29205
14 Dec 09:26:15 ntpdate2601: step time server 66.187.233.4 offset 1.878373 sec
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.879503, delay 0.29243
14 Dec 09:26:22 ntpdate2602: step time server 66.187.233.4 offset 1.879503 sec
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.879385, delay 0.28969
14 Dec 09:26:38 ntpdate2603: step time server 66.187.233.4 offset 1.879385 sec
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.849693, delay 0.27289
14 Dec 09:30:29 ntpdate2610: step time server 66.187.233.4 offset 1.849693 sec
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.837023, delay 0.27748
14 Dec 09:32:33 ntpdate2615: step time server 66.187.233.4 offset 1.837023 sec
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.829853, delay 0.27637
14 Dec 09:34:21 ntpdate2619: step time server 66.187.233.4 offset 1.829853 sec
vi ntpdate.result
ntpdate -q clock.redhat.com
server 66.187.233.4, stratum 1, offset 1.774460, delay 0.30309

Comment 10 Mike Cao 2010-12-14 02:53:23 UTC
On Intel host with different TSC rate ,Verified on
# uname -r
2.6.18-194.30.1.el5
# rpm -q kvm
kvm-83-164.el5_5.29

Actual Results:
No time shift after migration.

Base on above and comment #9, this issue has been fixed ald.

Comment 13 errata-xmlrpc 2010-12-20 17:37:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0998.html


Note You need to log in before you can comment on or make changes to this bug.